Bug 179212 - rsync won't talk to older rsync servers
Summary: rsync won't talk to older rsync servers
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-28 08:17 UTC by Theo Van Dinter
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version: 2.6.9-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-16 15:25:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Theo Van Dinter 2006-01-28 08:17:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/417.9 (KHTML, like Gecko) Safari/417.8

Description of problem:
When connecting to older rsync daemons, specifically while using at least the -C option, the following 
error is displayed and rsync exits:

filter rules are too modern for remote rsync.
rsync error: syntax or usage error (code 1) at exclude.c(1119)

Searching around, I found the following via Google which reportedly fixes the issue:

http://lists.samba.org/archive/rsync/2005-April/012317.html

Version-Release number of selected component (if applicable):
rsync-2.6.4-3

How reproducible:
Always

Steps to Reproduce:
1. have a rsync daemon running which is a version older than 2.6.4
2. run "rsync -CPcvuzb <some files> user@remote::name/"
  

Additional info:

Comment 1 Christian Iseli 2007-01-20 00:20:27 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Simo Sorce 2007-02-16 15:25:11 UTC
This bug is so old and addressed in public by the rsync maintainer.
I assume therefore it is fixed in current releases.
Please reopen a bug if this is not true.


Note You need to log in before you can comment on or make changes to this bug.